## tree-sitter-query 0.1.0

=== Makefile ===
download-examples: clean
	./scripts/download-examples.sh

parse-examples:
	tree-sitter parse -q .tests/*/queries/**/*.query

clean:
	rm -rf .tests

.PHONY: clean download-examples parse-examples

=== debian/changelog ===
tree-sitter-query (0.1.0-2) unstable; urgency=medium

  * Upload to unstable
  * Add comment about provenance of src/tree_sitter/parser.h

 -- James McCoy <jamessan@debian.org>  Thu, 25 Jan 2024 07:56:57 -0500

tree-sitter-query (0.1.0-1) experimental; urgency=medium

  * Initial debianization. (Closes: #1052204)

 -- James McCoy <jamessan@debian.org>  Mon, 09 Oct 2023 20:30:30 -0400

=== debian/control ===
Source: tree-sitter-query
Priority: optional
Maintainer: Tree-sitter Team <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 nodejs,
 tree-sitter-cli,
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/nvim-treesitter/tree-sitter-query/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter-query.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter-query

Package: tree-sitter-query-src
Architecture: all
Depends:
 ${misc:Depends},
 g++,
 libtree-sitter-dev,
 pkg-config,
Description: Tree-sitter queries parser for Tree-sitter (source files)
 This package contains the generated source files for building the tree-sitter
 queries parser shared object.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM
export TREE_SITTER_SRC_DIR = /usr/src/tree-sitter/query/${DEB_VERSION_UPSTREAM}/

%:
	dh $@

debian/%: debian/%.in
	sed "s/@PARSER_VER@/$(DEB_VERSION_UPSTREAM)/g" $< > $@

override_dh_auto_build:
	tree-sitter generate --no-bindings

override_dh_install: debian/Makefile
	dh_install

override_dh_auto_test:
	XDG_CACHE_HOME=$(CURDIR)/debian/.cache tree-sitter test

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli, tree-sitter-query-src

## tree-sitter-query 0.4.0

=== Makefile ===
VERSION := 0.4.0

LANGUAGE_NAME := tree-sitter-query

# repository
SRC_DIR := src

PARSER_REPO_URL := $(shell git -C $(SRC_DIR) remote get-url origin 2>/dev/null)

ifeq ($(PARSER_URL),)
	PARSER_URL := $(subst .git,,$(PARSER_REPO_URL))
ifeq ($(shell echo $(PARSER_URL) | grep '^[a-z][-+.0-9a-z]*://'),)
	PARSER_URL := $(subst :,/,$(PARSER_URL))
	PARSER_URL := $(subst git@,https://,$(PARSER_URL))
endif
endif

TS ?= tree-sitter

# ABI versioning
SONAME_MAJOR := $(word 1,$(subst ., ,$(VERSION)))
SONAME_MINOR := $(word 2,$(subst ., ,$(VERSION)))

# install directory layout
PREFIX ?= /usr/local
INCLUDEDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib
PCLIBDIR ?= $(LIBDIR)/pkgconfig

# source/object files
PARSER := $(SRC_DIR)/parser.c
OBJS := $(PARSER:.c=.o)

# flags
ARFLAGS := rcs
override CFLAGS += -I$(SRC_DIR) -std=c11 -fPIC

# OS-specific bits
ifeq ($(OS),Windows_NT)
	$(error "Windows is not supported")
else ifeq ($(shell uname),Darwin)
	SOEXT = dylib
	SOEXTVER_MAJOR = $(SONAME_MAJOR).dylib
	SOEXTVER = $(SONAME_MAJOR).$(SONAME_MINOR).dylib
	LINKSHARED := $(LINKSHARED)-dynamiclib -Wl,
	ifneq ($(ADDITIONAL_LIBS),)
	LINKSHARED := $(LINKSHARED)$(ADDITIONAL_LIBS),
	endif
	LINKSHARED := $(LINKSHARED)-install_name,$(LIBDIR)/lib$(LANGUAGE_NAME).$(SONAME_MAJOR).dylib,-rpath,@executable_path/../Frameworks
else
	SOEXT = so
	SOEXTVER_MAJOR = so.$(SONAME_MAJOR)
	SOEXTVER = so.$(SONAME_MAJOR).$(SONAME_MINOR)
	LINKSHARED := $(LINKSHARED)-shared -Wl,
	ifneq ($(ADDITIONAL_LIBS),)
	LINKSHARED := $(LINKSHARED)$(ADDITIONAL_LIBS)
	endif
	LINKSHARED := $(LINKSHARED)-soname,lib$(LANGUAGE_NAME).so.$(SONAME_MAJOR)
endif
ifneq ($(filter $(shell uname),FreeBSD NetBSD DragonFly),)
	PCLIBDIR := $(PREFIX)/libdata/pkgconfig
endif

all: lib$(LANGUAGE_NAME).a lib$(LANGUAGE_NAME).$(SOEXT) $(LANGUAGE_NAME).pc

lib$(LANGUAGE_NAME).a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $^

lib$(LANGUAGE_NAME).$(SOEXT): $(OBJS)
	$(CC) $(LDFLAGS) $(LINKSHARED) $^ $(LDLIBS) -o $@
ifneq ($(STRIP),)
	$(STRIP) $@
endif

$(LANGUAGE_NAME).pc: bindings/c/$(LANGUAGE_NAME).pc.in
	sed  -e 's|@URL@|$(PARSER_URL)|' \
		-e 's|@VERSION@|$(VERSION)|' \
		-e 's|@LIBDIR@|$(LIBDIR)|' \
		-e 's|@INCLUDEDIR@|$(INCLUDEDIR)|' \
		-e 's|@REQUIRES@|$(REQUIRES)|' \
		-e 's|@ADDITIONAL_LIBS@|$(ADDITIONAL_LIBS)|' \
		-e 's|=$(PREFIX)|=$${prefix}|' \
		-e 's|@PREFIX@|$(PREFIX)|' $< > $@

$(PARSER): $(SRC_DIR)/grammar.json
	$(TS) generate --no-bindings $^

install: all
	install -Dm644 bindings/c/$(LANGUAGE_NAME).h '$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/$(LANGUAGE_NAME).h
	install -Dm644 $(LANGUAGE_NAME).pc '$(DESTDIR)$(PCLIBDIR)'/$(LANGUAGE_NAME).pc
	install -Dm755 lib$(LANGUAGE_NAME).a '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).a
	install -m755 lib$(LANGUAGE_NAME).$(SOEXT) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER)
	ln -sf lib$(LANGUAGE_NAME).$(SOEXTVER) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR)
	ln -sf lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXT)

uninstall:
	$(RM) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).a \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER) \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR) \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXT) \
		'$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/$(LANGUAGE_NAME).h \
		'$(DESTDIR)$(PCLIBDIR)'/$(LANGUAGE_NAME).pc

clean:
	$(RM) $(OBJS) $(LANGUAGE_NAME).pc lib$(LANGUAGE_NAME).a lib$(LANGUAGE_NAME).$(SOEXT)
	$(RM) -r parser/ .tests/

test: .tests/nvim-treesitter .tests/nvim-treesitter-textobjects
	$(TS) test
	$(TS) parse -q -s .tests/*/queries/*/*.scm

parser/query.so: $(PARSER)
	@mkdir -p parser
	$(TS) build -o $@

.tests/%:
	git clone --sparse --single-branch https://github.com/nvim-treesitter/$(@F) $@
	git -C $@ sparse-checkout set queries

update: VERSION := $(shell awk -F '"' '/^  "version"/{print $$4}' package.json)
update:
	sed -i Makefile -e 's/^VERSION := .*/VERSION := $(VERSION)/'
	sed -i Cargo.toml -e 's/^version = .*/version = "$(VERSION)"/'
	sed -i pyproject.toml -e 's/^version = .*/version = "$(VERSION)"/'
	git add package.json package-lock.json Cargo.toml pyproject.toml Makefile

.PHONY: all install uninstall clean test update

=== debian/changelog ===
tree-sitter-query (0.4.0-3) unstable; urgency=medium

  * Add libc-dev and make to tree-sitter-query-src Depends
  * Add cargo and rustc explicitly to Build-Depends

 -- James McCoy <jamessan@debian.org>  Sun, 16 Mar 2025 22:23:01 -0400

tree-sitter-query (0.4.0-2) unstable; urgency=medium

  * Upload to unstable
  * Revert "Switch branch to debian/experimental"
  * Declare compliance with Policy 4.7.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 08 Mar 2025 14:24:38 -0500

tree-sitter-query (0.4.0-1) experimental; urgency=medium

  * New upstream version
  * Adapt shared object build from C++ to C
  * Switch pkg-config Depends to pkgconf
  * Include src/tree_sitter/ in the package
  * d/clean: Add trailing slash to debian/.cache/
  * Add salsa-ci.yml config
  * Switch branch to debian/experimental
  * Bump minimum version of tree-sitter (Build-)Depends to 0.21
  * Declare compliance with Policy 4.7.0, no changes needed
  * Add librust-tree-sitter-query-dev package

 -- James McCoy <jamessan@debian.org>  Thu, 26 Dec 2024 17:15:52 -0500

=== debian/control ===
Source: tree-sitter-query
Priority: optional
Maintainer: Tree-sitter Team <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 cargo:native,
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 nodejs,
 rustc:native,
 tree-sitter-cli (>= 0.21),
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/tree-sitter-grammars/tree-sitter-query/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter-query.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter-query

Package: tree-sitter-query-src
Architecture: all
Depends:
 ${misc:Depends},
 gcc,
 libc6-dev | libc-dev,
 libtree-sitter-dev (>= 0.21),
 make,
 pkgconf,
Description: Tree-sitter queries parser for Tree-sitter (source files)
 This package contains the generated source files for building the tree-sitter
 queries parser shared object.

Package: librust-tree-sitter-query-dev
Section: rust
Architecture: any
Multi-Arch: same
Depends:
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 ${misc:Depends},
Provides:
 librust-tree-sitter-query+default-dev (= ${binary:Version}),
 librust-tree-sitter-query-0-dev (= ${binary:Version}),
 librust-tree-sitter-query-0+default-dev (= ${binary:Version}),
 librust-tree-sitter-query-0.4-dev (= ${binary:Version}),
 librust-tree-sitter-query-0.4+default-dev (= ${binary:Version}),
 librust-tree-sitter-query-0.4.0-dev (= ${binary:Version}),
 librust-tree-sitter-query-0.4.0+default-dev (= ${binary:Version}),
Description: query grammar for the tree-sitter parser - Rust source code
 tree-sitter-query is a tree-sitter grammar for query files (scheme-like).
 .
 Tree-sitter is a parser generator and incremental parsing library.
 .
 This package contains the source for the Rust tree-sitter-query crate,
 packaged for use with cargo.

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,15 @@
 
 override_dh_auto_build:
 	tree-sitter generate --no-bindings
+	dh_auto_build --buildsystem=rust
+
+# Do not run Makefile install
+override_dh_auto_install:
+	dh_auto_install --buildsystem=rust
 
 override_dh_install: debian/Makefile
 	dh_install
 
 override_dh_auto_test:
 	XDG_CACHE_HOME=$(CURDIR)/debian/.cache tree-sitter test
+	dh_auto_test --buildsystem=rust

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli, tree-sitter-query-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-query 0.4.0 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-query-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-query-0.4-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-query 0.4.0 --all-targets
Features:
 test-name=librust-tree-sitter-query-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-query-0.4+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-query 0.4.0 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-query-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-query-0.4-dev,
Restrictions:
 allow-stderr,

## tree-sitter-query 0.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(tree-sitter-query
        VERSION "0.6.2"
        DESCRIPTION "TS query grammar for tree-sitter"
        HOMEPAGE_URL "https://github.com/tree-sitter-grammars/tree-sitter-query"
        LANGUAGES C)

option(BUILD_SHARED_LIBS "Build using shared libraries" ON)
option(TREE_SITTER_REUSE_ALLOCATOR "Reuse the library allocator" OFF)

set(TREE_SITTER_ABI_VERSION 15 CACHE STRING "Tree-sitter ABI version")
if(NOT ${TREE_SITTER_ABI_VERSION} MATCHES "^[0-9]+$")
    unset(TREE_SITTER_ABI_VERSION CACHE)
    message(FATAL_ERROR "TREE_SITTER_ABI_VERSION must be an integer")
endif()

find_program(TREE_SITTER_CLI tree-sitter DOC "Tree-sitter CLI")

add_custom_command(OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/src/parser.c"
                   DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/src/grammar.json"
                   COMMAND "${TREE_SITTER_CLI}" generate src/grammar.json
                            --abi=${TREE_SITTER_ABI_VERSION}
                   WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                   COMMENT "Generating parser.c")

add_library(tree-sitter-query src/parser.c)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/src/scanner.c)
  target_sources(tree-sitter-query PRIVATE src/scanner.c)
endif()
target_include_directories(tree-sitter-query
                           PRIVATE src
                           INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/bindings/c>
                                     $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

target_compile_definitions(tree-sitter-query PRIVATE
                           $<$<BOOL:${TREE_SITTER_REUSE_ALLOCATOR}>:TREE_SITTER_REUSE_ALLOCATOR>
                           $<$<CONFIG:Debug>:TREE_SITTER_DEBUG>)

set_target_properties(tree-sitter-query
                      PROPERTIES
                      C_STANDARD 11
                      POSITION_INDEPENDENT_CODE ON
                      SOVERSION "${TREE_SITTER_ABI_VERSION}.${PROJECT_VERSION_MAJOR}"
                      DEFINE_SYMBOL "")

configure_file(bindings/c/tree-sitter-query.pc.in
               "${CMAKE_CURRENT_BINARY_DIR}/tree-sitter-query.pc" @ONLY)

include(GNUInstallDirs)

install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/bindings/c/tree_sitter"
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
        FILES_MATCHING PATTERN "*.h")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/tree-sitter-query.pc"
        DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/pkgconfig")
install(TARGETS tree-sitter-query
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

install(DIRECTORY queries/query
        DESTINATION "${CMAKE_INSTALL_DATADIR}/tree-sitter/queries"
        FILES_MATCHING PATTERN "*.scm")

add_custom_target(ts-test "${TREE_SITTER_CLI}" test
                  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                  COMMENT "tree-sitter test")

=== Makefile ===
ifeq ($(OS),Windows_NT)
$(error Windows is not supported)
endif

LANGUAGE_NAME := tree-sitter-query
HOMEPAGE_URL := https://github.com/tree-sitter-grammars/tree-sitter-query
VERSION := 0.6.2

# repository
SRC_DIR := src

TS ?= tree-sitter

# install directory layout
PREFIX ?= /usr/local
DATADIR ?= $(PREFIX)/share
INCLUDEDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib
PCLIBDIR ?= $(LIBDIR)/pkgconfig

# source/object files
PARSER := $(SRC_DIR)/parser.c
EXTRAS := $(filter-out $(PARSER),$(wildcard $(SRC_DIR)/*.c))
OBJS := $(patsubst %.c,%.o,$(PARSER) $(EXTRAS))

# flags
ARFLAGS ?= rcs
override CFLAGS += -I$(SRC_DIR) -std=c11 -fPIC

# ABI versioning
SONAME_MAJOR = $(shell sed -n 's/\#define LANGUAGE_VERSION //p' $(PARSER))
SONAME_MINOR = $(word 1,$(subst ., ,$(VERSION)))

# OS-specific bits
ifeq ($(shell uname),Darwin)
	SOEXT = dylib
	SOEXTVER_MAJOR = $(SONAME_MAJOR).$(SOEXT)
	SOEXTVER = $(SONAME_MAJOR).$(SONAME_MINOR).$(SOEXT)
	LINKSHARED = -dynamiclib -Wl,-install_name,$(LIBDIR)/lib$(LANGUAGE_NAME).$(SOEXTVER),-rpath,@executable_path/../Frameworks
else
	SOEXT = so
	SOEXTVER_MAJOR = $(SOEXT).$(SONAME_MAJOR)
	SOEXTVER = $(SOEXT).$(SONAME_MAJOR).$(SONAME_MINOR)
	LINKSHARED = -shared -Wl,-soname,lib$(LANGUAGE_NAME).$(SOEXTVER)
endif
ifneq ($(filter $(shell uname),FreeBSD NetBSD DragonFly),)
	PCLIBDIR := $(PREFIX)/libdata/pkgconfig
endif

all: lib$(LANGUAGE_NAME).a lib$(LANGUAGE_NAME).$(SOEXT) $(LANGUAGE_NAME).pc

lib$(LANGUAGE_NAME).a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $^

lib$(LANGUAGE_NAME).$(SOEXT): $(OBJS)
	$(CC) $(LDFLAGS) $(LINKSHARED) $^ $(LDLIBS) -o $@
ifneq ($(STRIP),)
	$(STRIP) $@
endif

$(LANGUAGE_NAME).pc: bindings/c/$(LANGUAGE_NAME).pc.in
	sed -e 's|@PROJECT_VERSION@|$(VERSION)|' \
		-e 's|@CMAKE_INSTALL_LIBDIR@|$(LIBDIR:$(PREFIX)/%=%)|' \
		-e 's|@CMAKE_INSTALL_INCLUDEDIR@|$(INCLUDEDIR:$(PREFIX)/%=%)|' \
		-e 's|@PROJECT_DESCRIPTION@|$(DESCRIPTION)|' \
		-e 's|@PROJECT_HOMEPAGE_URL@|$(HOMEPAGE_URL)|' \
		-e 's|@CMAKE_INSTALL_PREFIX@|$(PREFIX)|' $< > $@

$(PARSER): $(SRC_DIR)/grammar.json
	$(TS) generate $^

install: all
	install -d '$(DESTDIR)$(DATADIR)'/tree-sitter/queries/query '$(DESTDIR)$(INCLUDEDIR)'/tree_sitter '$(DESTDIR)$(PCLIBDIR)' '$(DESTDIR)$(LIBDIR)'
	install -m644 bindings/c/tree_sitter/$(LANGUAGE_NAME).h '$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/$(LANGUAGE_NAME).h
	install -m644 $(LANGUAGE_NAME).pc '$(DESTDIR)$(PCLIBDIR)'/$(LANGUAGE_NAME).pc
	install -m644 lib$(LANGUAGE_NAME).a '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).a
	install -m755 lib$(LANGUAGE_NAME).$(SOEXT) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER)
	ln -sf lib$(LANGUAGE_NAME).$(SOEXTVER) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR)
	ln -sf lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXT)
	install -m644 queries/query/*.scm '$(DESTDIR)$(DATADIR)'/tree-sitter/queries/query

uninstall:
	$(RM) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).a \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER) \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR) \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXT) \
		'$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/$(LANGUAGE_NAME).h \
		'$(DESTDIR)$(PCLIBDIR)'/$(LANGUAGE_NAME).pc
	$(RM) -r '$(DESTDIR)$(DATADIR)'/tree-sitter/queries/query

clean:
	$(RM) $(OBJS) $(LANGUAGE_NAME).pc lib$(LANGUAGE_NAME).a lib$(LANGUAGE_NAME).$(SOEXT)
	$(RM) -r parser/ .tests/

test: .tests/nvim-treesitter .tests/nvim-treesitter-textobjects
	$(TS) test
	$(TS) parse -q -s .tests/*/queries/*/*.scm

parser/query.so: $(PARSER)
	@mkdir -p parser
	$(TS) build -o $@

.tests/%:
	git clone --sparse --single-branch https://github.com/nvim-treesitter/$(@F) $@
	git -C $@ sparse-checkout set queries

.PHONY: all install uninstall clean test

=== debian/changelog ===
tree-sitter-query (0.6.2-3) unstable; urgency=medium

  * Require tree-sitter-cli >= 0.25 for autopkgtest

 -- James McCoy <jamessan@debian.org>  Thu, 16 Oct 2025 08:30:07 -0400

tree-sitter-query (0.6.2-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 13 Oct 2025 20:48:42 -0400

tree-sitter-query (0.6.2-1) experimental; urgency=medium

  * New upstream release
  * Generate parser using the same language ABI as upstream's release

 -- James McCoy <jamessan@debian.org>  Wed, 03 Sep 2025 21:04:41 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  cargo:native,
  debhelper-compat (= 13),
  dh-sequence-rust,
- librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-cc-1+default-dev (>= 1.2),
+ librust-tree-sitter-language-0.1+default-dev,
+ librust-tree-sitter-0.25+default-dev (>= 0.25.3),
  nodejs,
  rustc:native,
- tree-sitter-cli (>= 0.21),
+ tree-sitter-cli (>= 0.25.3),
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/tree-sitter-grammars/tree-sitter-query/
@@ -25,7 +26,7 @@
  ${misc:Depends},
  gcc,
  libc6-dev | libc-dev,
- libtree-sitter-dev (>= 0.21),
+ libtree-sitter-dev (>= 0.22.4),
  make,
  pkgconf,
 Description: Tree-sitter queries parser for Tree-sitter (source files)
@@ -37,17 +38,17 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-cc-1+default-dev (>= 1.2),
+ librust-tree-sitter-language-0.1+default-dev,
  ${misc:Depends},
 Provides:
  librust-tree-sitter-query+default-dev (= ${binary:Version}),
  librust-tree-sitter-query-0-dev (= ${binary:Version}),
  librust-tree-sitter-query-0+default-dev (= ${binary:Version}),
- librust-tree-sitter-query-0.4-dev (= ${binary:Version}),
- librust-tree-sitter-query-0.4+default-dev (= ${binary:Version}),
- librust-tree-sitter-query-0.4.0-dev (= ${binary:Version}),
- librust-tree-sitter-query-0.4.0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-query-0.6-dev (= ${binary:Version}),
+ librust-tree-sitter-query-0.6+default-dev (= ${binary:Version}),
+ librust-tree-sitter-query-0.6.2-dev (= ${binary:Version}),
+ librust-tree-sitter-query-0.6.2+default-dev (= ${binary:Version}),
 Description: query grammar for the tree-sitter parser - Rust source code
  tree-sitter-query is a tree-sitter grammar for query files (scheme-like).
  .

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	sed "s/@PARSER_VER@/$(DEB_VERSION_UPSTREAM)/g" $< > $@
 
 override_dh_auto_build:
-	tree-sitter generate --no-bindings
+	tree-sitter generate --abi $(shell sed -n 's/#define LANGUAGE_VERSION //p' src/parser.c)
 	dh_auto_build --buildsystem=rust
 
 # Do not run Makefile install

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli (>= 0.25), tree-sitter-query-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-query 0.6.2 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-query-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.2),
 librust-tree-sitter-0.25+default-dev (>= 0.25.3),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-query-0.6.2-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-query 0.6.2 --all-targets
Features:
 test-name=librust-tree-sitter-query-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.2),
 librust-tree-sitter-0.25+default-dev (>= 0.25.3),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-query-0.6.2+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-query 0.6.2 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-query-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.2),
 librust-tree-sitter-0.25+default-dev (>= 0.25.3),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-query-0.6.2-dev,
Restrictions:
 allow-stderr,
